Overview
Use valid admin credentials to receive a JWT access token. Use that token asAuthorization: Bearer <token> on protected endpoints.
Endpoint
Authentication
No authentication required.Rate Limiting
- Limit: 5 requests per 60 seconds (configurable via
THROTTLE_LOGIN_LIMIT) - Window: 60 seconds (configurable via
THROTTLE_TTL_MS)
Request Body
Admin usernameExample:
adminAdmin passwordExample:
secretResponse
JWT access token to use in subsequent requestsExample:
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJhZG1pbiIsInVzZXJuYW1lIjoiYWRtaW4ifQ.signatureToken type (always “Bearer”)Example:
BearerToken expiration durationExample:
1hExample Request
Example Response
Error Codes
| Status Code | Description |
|---|---|
200 | Login successful |
400 | Validation error in request body (missing username or password) |
401 | Invalid username or password |
429 | Login rate limit exceeded (5 requests per 60 seconds) |
503 | Rate limiter backend unavailable |
Error Response Format
All errors follow this format:message field may be a string or an array of validation error messages.